# Interface ISigner

interface ISigner {
getPubkey : () => Promise<string>;
nip04 : EncryptionImplementation ;
nip44 : EncryptionImplementation ;
sign : Sign ;
}

#### Implemented by

- Nip01Signer
- Nip07Signer
- Nip46Signer
- Nip55Signer

- Defined in packages/signer/src/util.ts:51

#####
Index

### Properties

getPubkey
nip04
nip44
sign

##
Properties

### getPubkey

getPubkey: () => Promise<string>

- Defined in packages/signer/src/util.ts:55

### nip04

nip04: EncryptionImplementation

- Defined in packages/signer/src/util.ts:53

### nip44

nip44: EncryptionImplementation

- Defined in packages/signer/src/util.ts:54

### sign

sign: Sign

- Defined in packages/signer/src/util.ts:52